# Standard Declaration Procedures for Imeji System
ErrorDocument 403 /403.php
ErrorDocument 404 /404.php
IndexOptions +FancyIndexing
IndexIgnore *.php *.html *.css *.js

# Force Uploaded Imejis to load via HTTP instead of HTTPS due to backwards compatibility problem on some platforms.
RewriteCond %{HTTPS} on
ReWriteCond %{REQUEST_URI} \w(\.png|\.jpeg|\.jpg|\.gif)$
RewriteRule ^(.*)$ http://%{HTTP_HOST}%{REQUEST_URI} [R,L]

# Hackerbots Prevention
RewriteEngine on
RewriteCond %{HTTP_USER_AGENT} ^ZmEu [OR]
RewriteCond %{HTTP_USER_AGENT} (.*)Msqq(.*)
RewriteRule .* http://www.urbandictionary.com/define.php?term=fuck+you [R=301,L]
